var scopo="UN TESTO CHE HA LO SCOPO DI<br><b>INFORMARE E SPIEGARE</b>";
var info="INFORMAZIONI, NOTIZIE, SPIEGAZIONI SU FATTI, ESPERIENZE O FENOMENI";
var struttura="STRUTTURA DEL TESTO";
var generale="DAL GENERALE AL PARTICOLARE<br><img src='imgs/arrow.png'>";
var cronologico="IN ORDINE CRONOLOGICO E DI CAUSA EFFETTO<br><img src='imgs/arrow.png'>";
var linguaggio="LINGUAGGIO";
var oggettivo="ARGOMENTO ESPOSTO IN MODO OGGETTIVO<br><img src='imgs/arrow.png'>";
var specifico="SPECIFICO DELLA DISCIPLINA TRATTATA<br><img src='imgs/arrowl.png'>";
var presenza="PRESENZA DI";
var parole="PAROLE CHIAVE IN GRASSETTO<br><img src='imgs/arrowl.png'>";
var schemi="SCHEMI MAPPE GRAFICI<br><img src='imgs/arrowl.png'>";
var immagini="CARTINE DISEGNI FOTOGRAFIE<br><img src='imgs/arrowl.png'>";
var esempi="<b>ESEMPI</b><br>RIVISTE - QUOTIDIANI - ENCICLOPEDIE - GUIDE TURISTICHE - ISTRUZIONI D'USO<br><img src='imgs/arrowl.png'>";
var panels=
[	["informativo","IL TESTO INFORMATIVO","border:1px dashed gray;background:#dedede;grid-column:6/span 2;","fond","audio/informativo.mp3"],
	["cosa","COSA È","border:1px dashed gray;background:#ffffab;","fond","audio/cosa.mp3"],
	["scopo",scopo,"border:1px dashed gray;background:lightyellow;grid-column:1/span 3;","fond","audio/scopo.mp3"],
	["fornisce","FORNISCE","border:1px dashed gray;background:#ffffab;","fond","audio/fornisce.mp3"],
	["info",info,"border:1px dashed gray;background:lightyellow;grid-column:1/span 3;","fond","audio/info.mp3"],
	["struttura",struttura,"border:1px dashed gray;background:#abffff;grid-column:3/span 2","fond","audio/struttura.mp3"],
	["generale",generale,"border:1px dashed gray;background:#deffff;grid-column:1/span 2","fond","audio/generale.mp3"],
	["cronologico",cronologico,"border:1px dashed gray;background:#deffff;grid-column:3/span 2;","fond","audio/cronologico.mp3"],
	["linguaggio",linguaggio,"border:1px dashed gray;background:#ffabff;grid-column:6/span 2","fond","audio/linguaggio.mp3"],
	["oggettivo",oggettivo,"border:1px dashed gray;background:#ffdeff;grid-column:5/span 2","fond","audio/oggettivo.mp3"],
	["specifico",specifico,"border:1px dashed gray;background:#ffdeff;grid-column:7/span 2;","fond","audio/specifico.mp3"],	
	["presenza",presenza,"border:1px dashed gray;background:#ccffcc;grid-column:9/span 2","fond","audio/presenza.mp3"],
	["parole",parole,"border:1px dashed gray;background:#eeffee;grid-column:9/span 2","fond","audio/parole.mp3"],
	["schemi",schemi,"border:1px dashed gray;background:#eeffee;grid-column:11/span 2;","fond","audio/schemi.mp3"],
	["immagini",immagini,"border:1px dashed gray;background:#eeffee;grid-column:11/span 2;","fond","audio/immagini.mp3"],	
	["esempi",esempi,"border:1px dashed gray;background:#eeffee;grid-column:9/span 4;grid-row:3/span 2;","fond","audio/esempi.mp3"],	
	["fond","fond","border:0px dashed gray;background:#000000","fond",""],	
]; 

function displayAudio(audio)
{	let blob="<audio controls autoplay hidden>"+
	"<source src='"+audio+"' type='audio/ogg'>"+
	"<source src='"+audio+"' type='audio/mpeg'>"+	
	"Your browser does not support the audio element.</audio>";
	document.getElementById("sound").innerHTML=blob;	
}
var len = panels.length;	
function cleanButtons()
{	let y=document.getElementById("informativo");
	let h=document.getElementById(panels[1][0]);
	for (let b=0;b<len;b++)
	{	document.getElementById(panels[b][0]).style.background="white";
		document.getElementById(panels[b][0]).innerHTML="";
	}
	y.style.background="#dddddd";
	y.style.boxShadow="10px 10px 10px 10px lightgray";
	h.style.border="1px dashed gray";
	document.getElementById("fond").style.display="none";
}	
function showAll()
{	for(let i=0;i<len;i++)
	{	let k = document.getElementById(panels[i][0]);
		k.style=panels[i][2];
		k.innerHTML=panels[i][1];				
	}	
	document.getElementById("fond").style.display="none";	
}
window.onload = function ()
{	for (let g=1;g<len;g++)
	{	let k=document.getElementById(panels[g][0]);
		k.style=panels[g][2];
		k.style.background="#ffffff";
	}
	document.getElementById("fond").style.border="0px solid white";
	document.getElementById("informativo").innerHTML=panels[0][1];
	document.getElementById("informativo").style=panels[0][2];
	document.addEventListener("mouseover",eventOver);	
	function eventOver(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(panels[i][0]);
			if (k==e.target)
			{	k.style=panels[i][2];
				k.style.borderWidth="0px";
				k.style.boxShadow="10px 10px 10px 10px lightgray";	
				k.innerHTML=panels[i][1];
				document.getElementById(panels[i+1][0]).style=panels[i+1][2];
				document.getElementById("fond").style.display="none";
				displayAudio(panels[i][4]);
			}
		}		
	}
	document.addEventListener("mouseout",eventOut);	
	function eventOut(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(panels[i][0]);
			if (k==e.target)
			{	k.style=panels[i][2];
				k.style.boxShadow="0px 0px 0px 0px gray";
				document.getElementById(panels[i+1][0]).style.border="1px dashed gray";
			}	
		}		
	}
	document.addEventListener("click",eventClick);	
	function eventClick(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(panels[i][0]).getElementsByTagName("table");
			if (k==e.target)
			{	showIt(document.getElementById(panels[i][4]));
			}
		}
	}	
	return;
}
let sample=false;
function showIt(qc)
{   if(document.getElementById(qc).style.display=="block")
    {   document.getElementById(qc).style.display="none";
    	hideIt(qc);
    }        
    else 
    {   document.getElementById(qc).style.display="block";
    }
}
let dim = false;
function hideIt(qc)
{	if(document.getElementById(qc).getAttribute('class')=="bibbi1")
    {	document.getElementById(qc).style.top = "20%";
		document.getElementById(qc).style.left = "1%";
    	document.getElementById(qc).style.width = "48%";
    	document.getElementById(qc).style.maxHeight = "70%";
	}
    else if(document.getElementById(qc).getAttribute('class')=="bibbi2")
    {	document.getElementById(qc).style.top = "20%";
		document.getElementById(qc).style.left = "51%";
    	document.getElementById(qc).style.width = "48%";
    	document.getElementById(qc).style.maxHeight = "70%";
    }
    document.getElementById(qc).style.display = "none";
}
function enlarge(div)
{	if(dim==true)
	{	if(document.getElementById(div).getAttribute("class")=="bibbi1")
		{	document.getElementById(div).style.width="48%";
			document.getElementById(div).style.height="auto";
			document.getElementById(div).style.left="1%";
			document.getElementById(div).style.top="20%";
		  	document.getElementById(div).style.maxHeight="70%";
			dim=false;
		}
		else if(document.getElementById(div).getAttribute("class")=="bibbi2") 
		{	document.getElementById(div).style.width="48%";
			document.getElementById(div).style.height="auto";
			document.getElementById(div).style.left="51%";
			document.getElementById(div).style.top="20%";
		  	document.getElementById(div).style.maxHeight="70%";
			dim=false;
		}
	}
	else if(dim==false)
	{	document.getElementById(div).style.width="96%";
		document.getElementById(div).style.height="auto";
		document.getElementById(div).style.left="2%";
		document.getElementById(div).style.top="10%";
		document.getElementById(div).style.maxHeight="85%";
		dim=true;
	}		
}	
